Summary: inittab and /etc/rc.d scripts
Name: initscripts-cobalt
%define version 1.0
Version: %{version}
Copyright: GPL
Group: Base
Release: 4
 
Source: initscripts-cobalt-%{version}.tar.gz
BuildRoot: /var/tmp/initbld

%description
This package contains the scripts use to boot a system, change run
levels, and shut the system down cleanly. It also contains the scripts
that activate and deactivate most network interfaces.

%changelog

* Tue Feb 24 1998 Timothy Stonis <tim@cobaltmicro.com>

  -Generate info.html pages in rc.local

* Wed Feb 18 1998 Andrew Bose <andrew@cobaltmicro.com>
  - reset hostname to localhost in ifup before DHCP
  - account for 'domain' in resolv.conf in dns cleanup at end of ifup
  - keep domain/search info even if DNS servers are down

* Mon Feb 16 1998 Andrew Bose <andrew@cobaltmicro.com>
  - R2
  - remove /var/run/dhcpcd-cache.eth0 before dhcp in ifup

* Wed Feb 11 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Initial creation of the initscripts-cobalt rpm, based off of a patched
  version of initscripts 3.16. Too much patching was going on. We hardly 
  resemble them now.

 -Added Lyle's hook for manufacturing.

* Thu Jan 15 1998 Andrew Bose <andrew@cobaltmicro.com>

  - support old and new LCD boards - old=alpha, B1, B2
                                   - new=B3...single layer
  - same functionality as 1C21 (only ifup change)

* Mon Jan 05 1998 Andrew Bose <andrew@cobaltmicro.com>

  - add pwreset call to super clean house in ifup

* Sun Jan 04 1998 Andrew Bose <andrew@cobaltmicro.com>

  - add hook in ifup so that qube is shutdown if DOWN&LEFT (27) is pressed on LCD
    this is used so new qubes don't have long fschk

* Fri Jan 02 1998 Andrew Bose <andrew@cobaltmicro.com>

  - move call to sethost from ifup-post to later in ifup-post so hostname is set 

* Mon Dec 22 1997 Andrew Bose <andrew@cobaltmicro.com>

  - Took alpha LED stuff out of halt, rc.sysinit so front BAR stays lit up
  - change wording of looking for dhcp server message in ifup
  - call nonet if no button, configured before, and no link ( ifup )
  - rc.local shows writes IP Address: on display for first boot ever

* Fri Dec 19 1997 Andrew Bose <andrew@cobaltmicro.com>

  - Fix bugs in ifup to work with old/new hardware 
    if old hardware assume link

* Thu Dec 18 1997 Andrew Bose <andrew@cobaltmicro.com>

  - Added support for checking LINK in ifup, so you can configure without network
    connected

* Wed Dec 17 1997 Timothy Stonis <tim@cobaltmicro.com>

  - Added uugetty call to inittab so that no crap comes out serial port

* Thu Dec 11 1997 Andrew Bose <andrew@cobaltmicro.com>

  ifup-post - use /usr/local/sbin/sethost </dev/null
  rc.local - calls sleep.init start and showip  
  ifup - pipe lcdstart stdout and stderr to /dev/null 
       - NET-CONFIG=none, for clean house boot

* Wed Dec 10 1997 Andrew Bose <andrew@cobaltmicro.com>

  Edit ifup, network, rc.sysinit, for IP assignment LCD bugs
  press NEXT and ENTER to clean house

* Mon Dec 08 1997 Andrew Bose <andrew@cobaltmicro.com>

  Add blinking * during boot-up messages on LCD

* Thu Dec 04 1997 Andrew Bose <andrew@cobaltmicro.com>

  Allow user to force to LCD for Network config in ifup

* Tue Dec 02 1997 Timothy Stonis <tim@cobaltmicro.com>
  
  Updated for Cobalt release info
  Removed resolv.conf dhcp debug info in ifup

* Mon Dec 01 1997 Timothy Stonis <tim@cobaltmicro.com>

  Removed Redhat changelogs. 

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make ROOT=$RPM_BUILD_ROOT install 
mkdir -p $RPM_BUILD_ROOT/var/run/netreport
chown root.root $RPM_BUILD_ROOT/var/run/netreport
chmod u=rwx,g=rwx,o=rx $RPM_BUILD_ROOT/var/run/netreport

for i in 0 1 2 3 4 5 6 ; do
  file=$RPM_BUILD_ROOT/etc/rc.d/rc$i.d
  mkdir $file
  chown root.root $file
  chmod u=rwx,g=rx,o=rx $file
done

# Can't store symlinks in a CVS archive
ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K80random
ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc1.d/S20random
ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S20random
ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S20random
ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S20random
ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K80random

ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K90killall
ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K90killall

ln -s ../init.d/nfsfs $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K95nfsfs
ln -s ../init.d/nfsfs $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K90nfsfs
ln -s ../init.d/nfsfs $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K90nfsfs
ln -s ../init.d/nfsfs $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S15nfsfs
ln -s ../init.d/nfsfs $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S15nfsfs
ln -s ../init.d/nfsfs $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K95nfsfs

ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K97network
ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K97network
ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S10network
ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S10network
ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S10network
ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K97network

ln -s ../init.d/halt $RPM_BUILD_ROOT/etc/rc.d/rc0.d/S00halt
ln -s ../init.d/halt $RPM_BUILD_ROOT/etc/rc.d/rc6.d/S00reboot

ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc.d/rc1.d/S00single

ln -s ../rc.local $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S99local
ln -s ../rc.local $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S99local
ln -s ../rc.local $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S99local


%post
if [ ! -f /var/log/wtmp ]; then
  touch /var/log/wtmp
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir /etc/sysconfig/network-scripts
%config %verify(not md5 mtime size) /etc/adjtime
/etc/sysconfig/network-scripts/ifdown
%config /sbin/ifdown
%config /etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
%config /sbin/ifup
%config /etc/sysconfig/network-scripts/network-functions
%config /etc/sysconfig/network-scripts/ifup-post
%config /etc/sysconfig/network-scripts/ifdhcpc-done
%config /etc/sysconfig/network-scripts/ifcfg-lo
%config /etc/sysconfig/network-scripts/ifdown-ppp
%config /etc/sysconfig/network-scripts/ifdown-sl
%config /etc/sysconfig/network-scripts/ifup-ppp
%config /etc/sysconfig/network-scripts/ifup-sl
%config /etc/sysconfig/network-scripts/ifup-routes
%config /etc/sysconfig/network-scripts/ifup-plip
%config /etc/inittab
%dir    /etc/rc.d
%config /etc/rc.d/rc.sysinit
%dir    /etc/rc.d/rc0.d
%config /etc/rc.d/rc0.d/*
%dir    /etc/rc.d/rc1.d
%config /etc/rc.d/rc1.d/*
%dir    /etc/rc.d/rc2.d
%config /etc/rc.d/rc2.d/*
%dir    /etc/rc.d/rc3.d
%config /etc/rc.d/rc3.d/*
%dir    /etc/rc.d/rc5.d
%config /etc/rc.d/rc5.d/*
%dir    /etc/rc.d/rc6.d
%config /etc/rc.d/rc6.d/*
%dir    /etc/rc.d/init.d
%config /etc/rc.d/init.d/*
%config /etc/rc.d/rc
%config /etc/rc.d/rc.local
%config /etc/rc.d/rc.local.master
%dir /etc/rc.d/rc4.d
/bin/doexec
/bin/usleep
/usr/sbin/usernetctl
/sbin/netreport
/usr/man/man1/doexec.1
/usr/man/man1/usleep.1
/usr/man/man1/usernetctl.1
/usr/man/man1/netreport.1
%dir /var/run/netreport
%config /etc/ppp/ip-up
%config /etc/ppp/ip-down
